package ru.ulstu.fc.project.controller;

import io.swagger.v3.oas.annotations.Hidden;
import org.springframework.security.access.annotation.Secured;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import ru.ulstu.fc.project.service.ProjectRulesService;
import ru.ulstu.fc.project.service.ProjectService;
import ru.ulstu.fc.project.service.ProjectVariableService;
import ru.ulstu.fc.user.model.UserRoleConstants;

@Controller
@Hidden
@RequestMapping("runProject")
@Secured({UserRoleConstants.ADMIN})
public class ProjectRunController {
    private final ProjectService projectService;
    private final ProjectRulesService projectRulesService;
    private final ProjectVariableService projectVariableService;

    public ProjectRunController(ProjectService projectService,
                                ProjectRulesService projectRulesService,
                                ProjectVariableService projectVariableService) {
        this.projectService = projectService;
        this.projectRulesService = projectRulesService;
        this.projectVariableService = projectVariableService;
    }

    @GetMapping("init/{projectId}")
    public String getProjects(@PathVariable(value = "projectId") Integer projectId, Model model) {
        model.addAttribute("project", projectService.getById(projectId));
        return "project/init";
    }
}
