package ru.ulstu.fc.project.service;

import org.springframework.stereotype.Service;
import ru.ulstu.fc.rule.model.FuzzyRule;
import ru.ulstu.fc.rule.repository.FuzzyRuleRepository;

import java.util.Collections;
import java.util.List;

@Service
public class ProjectRulesService {
    private final FuzzyRuleRepository ruleRepository;
    private final ProjectService projectService;

    public ProjectRulesService(FuzzyRuleRepository ruleRepository,
                               ProjectService projectService) {
        this.ruleRepository = ruleRepository;
        this.projectService = projectService;
    }

    public List<FuzzyRule> getByProjectId(Integer projectId) {
        if (projectId == null || projectId == 0) {
            return Collections.emptyList();
        }
        return ruleRepository.findByProject(projectService.getById(projectId));
    }
}
