package ru.ulstu.fc.rule.model;

public class FuzzyTermForm {
    private Integer projectId;
    private Integer variableId;
    private Integer id;
    private String description;
    private Double crispValue;

    public FuzzyTermForm() {
    }

    public FuzzyTermForm(String description, Double value) {
        this.description = description;
        this.crispValue = value;
    }

    public FuzzyTermForm(Integer id, Integer projectId, Integer variableId) {
        this.projectId = projectId;
        this.variableId = variableId;
        this.id = id;
    }

    public FuzzyTermForm(Integer id, Integer projectId, Integer variableId, FuzzyTerm fuzzyTerm) {
        this.id = id;
        this.projectId = projectId;
        this.variableId = variableId;
        this.crispValue = fuzzyTerm.getCrispValue();
        this.description = fuzzyTerm.getDescription();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Double getCrispValue() {
        return crispValue;
    }

    public void setCrispValue(Double crispValue) {
        this.crispValue = crispValue;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getProjectId() {
        return projectId;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public Integer getVariableId() {
        return variableId;
    }

    public void setVariableId(Integer variableId) {
        this.variableId = variableId;
    }
}
