package ru.ulstu.fc.rule.model;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Size;

public class VariableForm {
    private Integer id;
    @NotNull
    private Integer projectId;
    @Size(min = 3, max = 250, message = "Длина должна быть от 3 до 250")
    private String name;

    private boolean input = true;

    public VariableForm() {
    }

    public VariableForm(Integer id, Integer projectId) {
        this.id = id;
        this.projectId = projectId;
    }

    public VariableForm(Integer id, Variable variable) {
        this.id = id;
        this.projectId = variable.getProject().getId();
        this.name = variable.getName();
        this.input = variable.isInput();
    }

    public Integer getProjectId() {
        return projectId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public void setProjectId(Integer projectId) {
        this.projectId = projectId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isInput() {
        return input;
    }

    public void setInput(boolean input) {
        this.input = input;
    }
}
